import request from '@/utils/request'

// 查询商品组合套餐列表
export function listStoreProductPackage(query) {
  return request({
    url: '/store/storeProductPackage/list',
    method: 'get',
    params: query
  })
}

// 查询商品组合套餐详细
export function getStoreProductPackage(packageId) {
  return request({
    url: '/store/storeProductPackage/' + packageId,
    method: 'get'
  })
}

// 新增商品组合套餐
export function addStoreProductPackage(data) {
  return request({
    url: '/store/storeProductPackage',
    method: 'post',
    data: data
  })
}

// 修改商品组合套餐
export function updateStoreProductPackage(data) {
  return request({
    url: '/store/storeProductPackage',
    method: 'put',
    data: data
  })
}

// 删除商品组合套餐
export function delStoreProductPackage(packageId) {
  return request({
    url: '/store/storeProductPackage/' + packageId,
    method: 'delete'
  })
}

// 导出商品组合套餐
export function exportStoreProductPackage(query) {
  return request({
    url: '/store/storeProductPackage/export',
    method: 'get',
    params: query
  })
}


// 批量修改商品组合套餐
export function modifyStoreProductPackages(data) {
  return request({
    url: '/store/storeProductPackage/modifyMore',
    method: 'post',
    data: data
  })
}